%define upstream_name    CGI-Application-Plugin-Authentication
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Authentication framework for CGI::Application
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Attribute::Handlers)
BuildRequires: perl(CGI::Application)
BuildRequires: perl(CGI::Cookie)
BuildRequires: perl(Class::ISA)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl(CGI::Application::Plugin::Session)
BuildArch: noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}

%description
CGI::Application::Plugin::Authentication adds the ability to authenticate
users in your the CGI::Application manpage modules. It imports one method
called 'authen' into your CGI::Application module. Through the authen
method you can call all the methods of the
CGI::Application::Plugin::Authentication plugin.

There are two main decisions that you need to make when using this module.
How will the usernames and password be verified (ie from a database, LDAP,
etc...), and how can we keep the knowledge that a user has already logged
in persistent, so that they will not have to enter their credentials again
on the next request (ie how do we 'Store' the authentication information
across requests).

Choosing a Driver
    There are three drivers that are included with the distribution. Also,
    there is built in support for all of the Authen::Simple modules (search
    CPAN for Authen::Simple for more information). This should be enough to
    cover everyone's needs. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-1mdv2010.0
+ Revision: 405771
- rebuild using %%perl_convert_version

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdv2010.0
+ Revision: 370016
- update to new version 0.13

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdv2009.1
+ Revision: 292552
- import perl-CGI-Application-Plugin-Authentication


* Thu Oct 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdv2009.1
- initial mdv release, generated with cpan2dist

